List project statements
const url = 'https://api.de.teamgrid.app/v1/project-statements?limit=50&archived=false&type=budget';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.de.teamgrid.app/v1/project-statements?limit=50&archived=false&type=budget' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Opaque cursor returned in meta.page.nextCursor.
Return archived resources instead of active resources.
Filter project statements by project id.
Filter project statements by product id.
Filter project statements by their creator id.
Include statements dated at or after this time.
Include statements dated at or before this time.
Include statements created at or after this time.
Include statements created at or before this time.
Filter by statement type. Budget requires project-statements:finance:read.
Responses
Section titled “Responses”A stable cursor page.
object
Budget statements and purchasePrice are finance-gated. Internal workflow, order, cart, and budget-rollup fields are never part of this public DTO.
object
object
Internal acquisition cost. Present only with project-statements:finance:read.
object
object
Example
{ "data": [ { "attributes": { "type": "budget" }, "type": "projectStatement" } ]}The request is invalid.
object
object
object
object
Examplegenerated
{ "errors": [ { "code": "example", "detail": "example", "source": { "additionalProperty": "example" }, "status": "example", "title": "example" } ], "meta": { "requestId": "example" }}The bearer credential is missing, invalid, expired, or revoked.
object
object
object
object
Examplegenerated
{ "errors": [ { "code": "example", "detail": "example", "source": { "additionalProperty": "example" }, "status": "example", "title": "example" } ], "meta": { "requestId": "example" }}The credential has insufficient scope.
object
object
object
object
Examplegenerated
{ "errors": [ { "code": "example", "detail": "example", "source": { "additionalProperty": "example" }, "status": "example", "title": "example" } ], "meta": { "requestId": "example" }}The credential or source exceeded its rate limit.
object
object
object
object
Examplegenerated
{ "errors": [ { "code": "example", "detail": "example", "source": { "additionalProperty": "example" }, "status": "example", "title": "example" } ], "meta": { "requestId": "example" }}Headers
Section titled “Headers”Minimum delay in seconds before retrying.
Maximum requests in the current window.
Requests remaining in the current window.
Unix time in milliseconds when the current window resets.
Request correlation identifier.
A required cell-local dependency is unavailable.
object
object
object
object
Examplegenerated
{ "errors": [ { "code": "example", "detail": "example", "source": { "additionalProperty": "example" }, "status": "example", "title": "example" } ], "meta": { "requestId": "example" }}